Bug 53372 - [GSOC] Improve reading usermodel objects from EscherAggregate
Summary: [GSOC] Improve reading usermodel objects from EscherAggregate
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks: 53010
  Show dependency tree
 
Reported: 2012-06-06 17:33 UTC by Evgeniy Berlog
Modified: 2012-10-26 12:26 UTC (History)
0 users



Attachments
patch (12.73 KB, patch)
2012-06-06 17:33 UTC, Evgeniy Berlog
Details | Diff
Added tests for fixed bug and for new model (20.54 KB, patch)
2012-06-07 10:19 UTC, Evgeniy Berlog
Details | Diff
file for test (25.50 KB, application/vnd.ms-excel)
2012-06-07 22:17 UTC, Evgeniy Berlog
Details
improved patch (32.97 KB, patch)
2012-06-08 14:37 UTC, Evgeniy Berlog
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Evgeniy Berlog 2012-06-06 17:33:37 UTC
Created attachment 28896 [details]
patch

1. Fixed bug: "Data that follows after main spgr container is not saved in EscherAggregate.serialize()"

2. commented out methods "convertRecordsToUserModel()" and "convertUserModelToRecords()". Added method which purpose is to create HSSFShape tree from EscherRecords and ObjRecord. Added simple unit tests to compare count of spContainer(shapes), and spgrContainer(shapeGroup)

Several existing tests don't work now because we should reimplement HSSFShape subclasses
Comment 1 Evgeniy Berlog 2012-06-07 10:19:11 UTC
Created attachment 28899 [details]
Added tests for fixed bug and for new model
Comment 2 Evgeniy Berlog 2012-06-07 22:17:43 UTC
Created attachment 28903 [details]
file for test
Comment 3 Evgeniy Berlog 2012-06-08 14:37:35 UTC
Created attachment 28906 [details]
improved patch
Comment 4 Yegor Kozlov 2012-06-08 17:48:02 UTC
Applied in r1348168

(In reply to comment #3)
> Created attachment 28906 [details]
> improved patch